<template>
  <div class="d-md-flex flex-md-equal w-100 p-3">
    <card v-for="cardData in dataModule" :key="cardData.id" :content="cardData" :limit="limit" :moduleName="moduleName" :pageName="currentPage"></card>
  </div>
</template>

<script>
import Card from "@/components/AppPopupCard/card.vue";
export default {
  props: ["moduleName", "limit"],
  components: {
    Card
  },
  created: function() {
    this.getCurrentPage();
    this.getDatas(this.moduleName);
  },
  data() {
    return {
      dataModule: [],
      contentRaw: [],
      currentPage: ""
    };
  },
  methods: {
    structureData() {
      this.dataModule = this.contentRaw.filter(mod => {
        mod.data = JSON.parse(mod.data);
        return mod;
      });
      console.log("dataModule", this.dataModule);
    },
    getDatas(moduleName) {
      this.$axios
        .get(this.$urls.URL_POPUPS_ACTIV + moduleName)
        .then(response => {
          this.contentRaw = response.data.data;
          this.structureData();
        })
        .catch(error => {
          console.log("error", error);
        });
    },
    getCurrentPage() {
      this.currentPage = this.$router.currentRoute.name;
    }
  }
};
</script>

<style></style>
